%global momorel 1
%global artsver 1.5.8
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 061cb55774ebac15549a1e7affa87827

Summary: KPowersave is the KDE frontend for powermanagement
Name: kpowersave
Version: 0.7.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://powersave.sourceforge.net/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/powersave/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-0.7.2-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: hal
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: dbus-devel
BuildPreReq: dbus-qt-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: hal-devel
BuildPreReq: libXScrnSaver-devel
BuildPreReq: libXext-devel
BuildPreReq: libXtst-devel
BuildPreReq: libtool

%description
KPowersave is the KDE frontend for powermanagement. 
It provides battery monitoring, suspend/ standby 
triggers and many more features for KDE (and GNOME). 

%prep
%setup -q

%patch0 -p1 -b .desktop~

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kpowersave.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in cs de fi hu nb ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL README TODO
%{_bindir}/kpowersave
%{_libdir}/kde3/kpowersave.la
%{_libdir}/kde3/kpowersave.so
%{_libdir}/libkdeinit_kpowersave.la
%{_libdir}/libkdeinit_kpowersave.so
%{_datadir}/applications/kde/kpowersave.desktop
%{_datadir}/apps/kpowersave
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/config/kpowersaverc
%{_datadir}/doc/HTML/*/kpowersave
%{_datadir}/icons/*/*/*/kpowersave.png
%{_datadir}/locale/*/LC_MESSAGES/kpowersave.mo

%changelog
* Thu Nov  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- version 0.7.3
- License: GPLv2

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-1m)
- initial package for Momonga Linux
